Back to index

salome-geom  6.5.0
Variables
PAL_MESH_028_geometry Namespace Reference

Variables

list Vertices = [geompy.MakeVertex(0, 0, 0), geompy.MakeVertex(200, 0, 0), geompy.MakeVertex(200, 200, 0), geompy.MakeVertex(0, 200, 0), geompy.MakeVertex(50, 50, 200), geompy.MakeVertex(150, 50, 200), geompy.MakeVertex(150, 150, 200), geompy.MakeVertex(50, 150, 200)]
string name = "Vertex_"
list Edges = [geompy.MakeEdge(Vertices[0], Vertices[1]), geompy.MakeEdge(Vertices[1], Vertices[5]), geompy.MakeEdge(Vertices[5], Vertices[4]), geompy.MakeEdge(Vertices[4], Vertices[0]), geompy.MakeEdge(Vertices[1], Vertices[2]), geompy.MakeEdge(Vertices[2], Vertices[6]), geompy.MakeEdge(Vertices[6], Vertices[5]), geompy.MakeEdge(Vertices[2], Vertices[3]), geompy.MakeEdge(Vertices[3], Vertices[7]), geompy.MakeEdge(Vertices[7], Vertices[6]), geompy.MakeEdge(Vertices[3], Vertices[0]), geompy.MakeEdge(Vertices[4], Vertices[7])]
list Wires = [geompy.MakeWire([Edges[0], Edges[1], Edges[2], Edges[3]]), geompy.MakeWire([Edges[1], Edges[4], Edges[5], Edges[6]]), geompy.MakeWire([Edges[5], Edges[7], Edges[8], Edges[9]]), geompy.MakeWire([Edges[3], Edges[10], Edges[8], Edges[11]]), geompy.MakeWire([Edges[2], Edges[6], Edges[9], Edges[11]]), geompy.MakeWire([Edges[0], Edges[4], Edges[7], Edges[10]])]
list Faces = [geompy.MakeFace(Wires[0], 1), geompy.MakeFace(Wires[1], 1), geompy.MakeFace(Wires[2], 1), geompy.MakeFace(Wires[3], 1), geompy.MakeFace(Wires[4], 1), geompy.MakeFace(Wires[5], 1)]
tuple Shell_1 = geompy.MakeShell(Faces)
list Shells = [Shell_1]
tuple Solid_1 = geompy.MakeSolid(Shells)
tuple Prism_1 = geompy.MakePrismVecH(Faces[4], Edges[1], 100)
tuple theHomePath = os.getenv("HOME")
string theFilenameToSave = "/Pyramid.hdf"

Variable Documentation

list PAL_MESH_028_geometry.Edges = [geompy.MakeEdge(Vertices[0], Vertices[1]), geompy.MakeEdge(Vertices[1], Vertices[5]), geompy.MakeEdge(Vertices[5], Vertices[4]), geompy.MakeEdge(Vertices[4], Vertices[0]), geompy.MakeEdge(Vertices[1], Vertices[2]), geompy.MakeEdge(Vertices[2], Vertices[6]), geompy.MakeEdge(Vertices[6], Vertices[5]), geompy.MakeEdge(Vertices[2], Vertices[3]), geompy.MakeEdge(Vertices[3], Vertices[7]), geompy.MakeEdge(Vertices[7], Vertices[6]), geompy.MakeEdge(Vertices[3], Vertices[0]), geompy.MakeEdge(Vertices[4], Vertices[7])]

Definition at line 44 of file PAL_MESH_028_geometry.py.

list PAL_MESH_028_geometry.Faces = [geompy.MakeFace(Wires[0], 1), geompy.MakeFace(Wires[1], 1), geompy.MakeFace(Wires[2], 1), geompy.MakeFace(Wires[3], 1), geompy.MakeFace(Wires[4], 1), geompy.MakeFace(Wires[5], 1)]

Definition at line 56 of file PAL_MESH_028_geometry.py.

string PAL_MESH_028_geometry.name = "Vertex_"

Definition at line 40 of file PAL_MESH_028_geometry.py.

tuple PAL_MESH_028_geometry.Prism_1 = geompy.MakePrismVecH(Faces[4], Edges[1], 100)

Definition at line 71 of file PAL_MESH_028_geometry.py.

tuple PAL_MESH_028_geometry.Shell_1 = geompy.MakeShell(Faces)

Definition at line 62 of file PAL_MESH_028_geometry.py.

Definition at line 64 of file PAL_MESH_028_geometry.py.

tuple PAL_MESH_028_geometry.Solid_1 = geompy.MakeSolid(Shells)

Definition at line 67 of file PAL_MESH_028_geometry.py.

string PAL_MESH_028_geometry.theFilenameToSave = "/Pyramid.hdf"

Definition at line 76 of file PAL_MESH_028_geometry.py.

tuple PAL_MESH_028_geometry.theHomePath = os.getenv("HOME")

Definition at line 75 of file PAL_MESH_028_geometry.py.

list PAL_MESH_028_geometry.Vertices = [geompy.MakeVertex(0, 0, 0), geompy.MakeVertex(200, 0, 0), geompy.MakeVertex(200, 200, 0), geompy.MakeVertex(0, 200, 0), geompy.MakeVertex(50, 50, 200), geompy.MakeVertex(150, 50, 200), geompy.MakeVertex(150, 150, 200), geompy.MakeVertex(50, 150, 200)]

Definition at line 38 of file PAL_MESH_028_geometry.py.

list PAL_MESH_028_geometry.Wires = [geompy.MakeWire([Edges[0], Edges[1], Edges[2], Edges[3]]), geompy.MakeWire([Edges[1], Edges[4], Edges[5], Edges[6]]), geompy.MakeWire([Edges[5], Edges[7], Edges[8], Edges[9]]), geompy.MakeWire([Edges[3], Edges[10], Edges[8], Edges[11]]), geompy.MakeWire([Edges[2], Edges[6], Edges[9], Edges[11]]), geompy.MakeWire([Edges[0], Edges[4], Edges[7], Edges[10]])]

Definition at line 50 of file PAL_MESH_028_geometry.py.